Puppet & cloudinsight-agent
================

Description
-----------

A module to install the [cloudinsight-agent](http://cloudinsight.oneapm.com/).

Requirements
------------

Puppet 2.7.x or 3.x.

Installation
------------

Install `cloudinsight-agent` as a module in your Puppet master's module path.

    puppet module install cloudinsight-cloudinsight_agent

Usage
-----

1. To deploy the Cloudinsight agent on nodes, add to your manifests this parametrized class with your license key

    ```
    node "app.mydomain.com" {
      class { 'cloudinsight_agent':
        license_key => "yourkey",
        # parameters go here.
      }
    }
    ```

2. To use a specific agent check or integration on one your nodes, you can refer to each manifest for a sample usage. Here is an example for the mongo integration:
   
    ```
    node "mongo.mydomain.com" {
      class { "cloudinsight_agent":
         license_key => "your license key"
      }
      include 'cloudinsight_agent::integrations::mongo'
    }
    ```

Parameters
----------

- `license_key` - Required. The Cloudinsight license key to associate your Agent's data with your organization.
- `hostname` -  Default node hostname. Force the hostname to whatever you want if you want.
- `tags` - Set the host's tags.
- `log_level` - Default INFO.
- `proxy_host` - Your proxy server.
- `proxy_port` - Your proxy server port.
- `proxy_user` - Your proxy account.
- `proxy_password` - Your proxy account password.
- `proxy_forbid_method_switch` - Default no. To be used with some proxys that return a 302 which make curl switch from POST to GET.
- `skip_ssl_validation` - Default no. Might want to set to yes if run agent behind haproxy.
