# Class: cloudinsight_agent::integrations::elasticsearch
#
# This class will install the necessary configuration for the elasticsearch integration
#
# Parameters:
#   $url:
#     The URL for Elasticsearch
#
# Sample Usage:
#
#   class { 'cloudinsight_agent::integrations::elasticsearch' :
#     url  => "http://localhost:9201"
#   }
#
class cloudinsight_agent::integrations::elasticsearch(
  $url = 'http://localhost:9200'
) inherits cloudinsight_agent::params {

  file { "${cloudinsight_agent::params::conf_dir}/elastic.yaml":
    ensure  => file,
    owner   => $cloudinsight_agent::params::cloudinsight_user,
    group   => $cloudinsight_agent::params::cloudinsight_group,
    mode    => '0644',
    content => template('cloudinsight_agent/agent-conf.d/elastic.yaml.erb'),
    require => Package[$cloudinsight_agent::params::package_name],
    notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
