# Class: cloudinsight_agent::integrations::haproxy
#
# This class will install the necessary configuration for the haproxy integration
#
# Parameters:
#   $url:
#     The URL for haproxy
#
# Sample Usage:
#
#   class { 'cloudinsight_agent::integrations::haproxy' :
#     url   => 'http://localhost:8080',
#     creds => { username => 'admin',
#                password => 'password',
#              },
#   }
#
class cloudinsight_agent::integrations::haproxy(
  $creds = {},
  $url   = "http://${::ipaddress}:8080",
) inherits cloudinsight_agent::params {

  file {
    "${cloudinsight_agent::params::conf_dir}/haproxy.yaml":
      ensure  => file,
      owner   => $cloudinsight_agent::params::cloudinsight_user,
      group   => $cloudinsight_agent::params::cloudinsight_group,
      mode    => '0644',
      content => template('cloudinsight_agent/agent-conf.d/haproxy.yaml.erb'),
      require => Package[$cloudinsight_agent::params::package_name],
      notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
