# Class: cloudinsight_agent::integrations::jenkins
#
# This class will install the necessary configuration for the jenkins integration
#
# Parameters:
#   $path:
#       Jenkins path. Defaults to '/var/lib/jenkins'
#
# Sample Usage:
#
#  class { 'cloudinsight_agent::integrations::jenkins' :
#    path     => '/var/lib/jenkins',
#  }
#
#
class cloudinsight_agent::integrations::jenkins(
  $path = '/var/lib/jenkins'
) inherits cloudinsight_agent::params {

  file { "${cloudinsight_agent::params::conf_dir}/jenkins.yaml":
    ensure  => file,
    owner   => $cloudinsight_agent::params::cloudinsight_user,
    group   => $cloudinsight_agent::params::cloudinsight_group,
    mode    => '0600',
    content => template('cloudinsight_agent/agent-conf.d/jenkins.yaml.erb'),
    require => Package[$cloudinsight_agent::params::package_name],
    notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
