# Class: cloudinsight_agent::integrations::marathon
#
# This class will install the necessary configuration for the Marathon integration
#
# Parameters:
#   $url:
#     The URL for Marathon
#
# Sample Usage:
#
#   class { 'cloudinsight_agent::integrations::marathon' :
#     url  => "http://localhost:8080"
#   }
#
class cloudinsight_agent::integrations::marathon(
  $marathon_timeout = 5,
  $url = 'http://localhost:8080'
) inherits cloudinsight_agent::params {

  file { "${cloudinsight_agent::params::conf_dir}/marathon.yaml":
    ensure  => file,
    owner   => $cloudinsight_agent::params::cloudinsight_user,
    group   => $cloudinsight_agent::params::cloudinsight_group,
    mode    => '0644',
    content => template('cloudinsight_agent/agent-conf.d/marathon.yaml.erb'),
    require => Package[$cloudinsight_agent::params::package_name],
    notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
