# Class: cloudinsight_agent::integrations::mesos
#
# This class will install the necessary configuration for the mesos integration
#
# Parameters:
#   $url:
#     The URL for Mesos master
#
# Sample Usage:
#
#   class { 'cloudinsight_agent::integrations::mesos' :
#     url  => "http://localhost:5050"
#   }
#
class cloudinsight_agent::integrations::mesos(
  $mesos_timeout = 5,
  $url = 'http://localhost:5050'
) inherits cloudinsight_agent::params {

  file { "${cloudinsight_agent::params::conf_dir}/mesos.yaml":
    ensure  => file,
    owner   => $cloudinsight_agent::params::cloudinsight_user,
    group   => $cloudinsight_agent::params::cloudinsight_group,
    mode    => '0644',
    content => template('cloudinsight_agent/agent-conf.d/mesos.yaml.erb'),
    require => Package[$cloudinsight_agent::params::package_name],
    notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
