# Class: cloudinsight_agent::integrations::ntp
#
# This class will enable ntp check
#
# Parameters:
#   $offset_threshold:
#        Offset threshold for a critical alert. Defaults to 600.
#
# Sample Usage:
#
#  class { 'cloudinsight_agent::integrations::ntp' :
#    offset_threshold     => 60,
#  }
#

class cloudinsight_agent::integrations::ntp(
  $offset_threshold = 60,
) inherits cloudinsight_agent::params {

  file { "${cloudinsight_agent::params::conf_dir}/ntp.yaml":
    ensure  => file,
    owner   => $cloudinsight_agent::params::cloudinsight_user,
    group   => $cloudinsight_agent::params::cloudinsight_group,
    mode    => '0600',
    content => template('cloudinsight_agent/agent-conf.d/ntp.yaml.erb'),
    require => Package[$cloudinsight_agent::params::package_name],
    notify  => Service[$cloudinsight_agent::params::service_name]
  }
}
