# Class: cloudinsight_agent::params
#
# This class contains the parameters for the cloudinsight-agent module
#
# Parameters:
#   $license_key:
#       Your Cloudinsight LICENSE Key. Please replace with your key value
#   $ci_url
#       The URL to the Cloudinsight server.
#
# Actions:
#
# Requires:
#
# Sample Usage:
#
class cloudinsight_agent::params {
  $conf_dir       = '/etc/cloudinsight-agent/conf.d'
  $cloudinsight_user        = 'cloudinsight-agent'
  $cloudinsight_group       = 'root'
  $package_name   = 'cloudinsight-agent'
  $service_name   = 'cloudinsight-agent'

  case $::operatingsystem {
    'Ubuntu','Debian' : {
      $rubydev_package   =  'ruby-dev'
    }
    'RedHat','CentOS','Fedora','Amazon','Scientific' : {
      $rubydev_package   = 'ruby-devel'
    }
    default: { fail("Class[cloudinsight_agent]: Unsupported operatingsystem: ${::operatingsystem}") }
  }

}
