require 'spec_helper'

describe 'cloudinsight_agent::redhat' do
  let(:facts) do
    {
      osfamily: 'redhat',
      operatingsystem: 'Fedora',
      architecture: 'x86_64'
    }
  end

  # it should install the mirror
  it do
    should contain_yumrepo('cloudinsight-agent')
      .with_enabled(1)\
      .with_gpgcheck(0)\
      .with_baseurl('http://yum.oneapm.com/x86_64/')
  end

  # it should install the packages
  it do
    should contain_package('cloudinsight-agent-base')\
      .with_ensure('absent')\
      .that_comes_before('Package[cloudinsight-agent]')
  end
  it do
    should contain_package('cloudinsight-agent')\
      .with_ensure('latest')
  end

  # it should be able to start the service and enable the service by default
  it do
    should contain_service('cloudinsight-agent')\
      .that_requires('Package[cloudinsight-agent]')
  end
end
