require 'spec_helper'

describe 'cloudinsight_agent::ubuntu' do
  let(:facts) do
    {
      osfamily: 'debian',
      operatingsystem: 'Ubuntu'
    }
  end

  # it should install the mirror
  it { should contain_exec('cloudinsight_key') }
  it do
    should contain_file('/etc/apt/sources.list.d/cloudinsight-agent.list')\
      .that_notifies('Exec[cloudinsight_apt-get_update]')
  end
  it { should contain_exec('cloudinsight_apt-get_update') }

  # it should install the packages
  it do
    should contain_package('cloudinsight-agent-base')\
      .with_ensure('absent')\
      .that_comes_before('Package[cloudinsight-agent]')
  end
  it do
    should contain_package('cloudinsight-agent')\
      .that_requires('File[/etc/apt/sources.list.d/cloudinsight-agent.list]')\
      .that_requires('Exec[cloudinsight_apt-get_update]')
  end

  # it should be able to start the service and enable the service by default
  it do
    should contain_service('cloudinsight-agent')\
      .that_requires('Package[cloudinsight-agent]')
  end
end
